//
// Created by sebastian on 24.12.25.
//

#ifndef DICEWARS_SIEDLER_LAYER_H
#define DICEWARS_SIEDLER_LAYER_H


class Layer {
public:
    virtual ~Layer() = default;
    virtual void onAttach() {}
    virtual void onDetach() {}
    virtual void onUpdate() {}
};


#endif //DICEWARS_SIEDLER_LAYER_H